## Index

### Enumerations

- STATUS

### Classes

- Tween

### Interfaces

- ITweenPlugin
- TweenOptions

### Functions

- addTween
- createTween
- killTweens

## Functions

### addTween

- addTween(target: any, tween: Tween ): void

- - Defined in support/Tween.ts:91

  #### Parameters

  - ##### target: any

  - ##### tween: Tween

  #### Returns void

### createTween

- createTween(host: any, target: any, override?: boolean, options?: TweenOptions, plugins?: ITweenPlugin []): Tween

- - Defined in support/Tween.ts:66

  创建补间动画

  #### Parameters

  - ##### host: any

    拥有声明周期的组件

  - ##### target: any

    目标对象

  - ##### Default value override: boolean = false

    是否覆盖该对象上的动画

  - ##### Optional options: TweenOptions

    补间动画参数

  - ##### Default value plugins: ITweenPlugin [] = []

    插件

  #### Returns Tween

### killTweens

- killTweens(target: any): void

- - Defined in support/Tween.ts:81

  移除对象上所有的Tween实例

  #### Parameters

  - ##### target: any

  #### Returns void

Generated using TypeDoc